<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title th:text="'Page Personas'"></title>
<link rel="stylesheet" th:href="@{/css/bootstrap.min.css}">
<script th:src="@{/js/jquery-3.5.1.slim.min.js}"></script>
<script th:src="@{/js/popper.min.js}"></script>
<script th:src="@{/js/bootstrap.min.js}"></script></head>
<body>
	<div class="container py-4">
		<div class="card bg-light">
			<div class="card-header"><h4 class="card-title text-center text-primary" th:text="'Lista de Personas'"></h4></div>
			<div class="card-body">
				<table class="table table-striped table-bordered table-hover">
					<thead class="thead-dark">
						<tr class="text-center">
							<th th:text="Nombre"></th>
							<th th:text="Teléfono"></th>
							<th th:text="Consultar"></th>
						</tr>
					</thead>
					<tbody th:if="${not personas.isEmpty()}">
						<tr th:each="list_persona: ${personas}">
							<td th:text="${list_persona.nombre}"></td>
							<td th:text="${list_persona.telefono}"></td>
							<td class="text-center">
								<button type="button" class="btn btn-primary" data-toggle="modal" 
								    	data-target="#personaModal" 
								    	th:data-id="${list_persona.id}" 
								    	th:data-nombre="${list_persona.nombre}"
								    	th:data-primer-ap="${list_persona.primerApellido}"
								    	th:data-segundo-ap="${list_persona.segundoApellido}"
								    	th:data-telefono="${list_persona.telefono}"
								    	th:data-estatus="${list_persona.estatus}"
								    	th:text="Consultar">
						    	</button>
						</tr>
					</tbody>
				</table>
				<p th:if="${personas.isEmpty()}" th:text="${personas.isEmpty() ? 'No existen datos registrados de Personas' : ''}"></p>
			</div>
		</div>
	</div>
	
	<div class="modal fade" id="personaModal" tabindex="-1" role="dialog" aria-hidden="true">
  		<div class="modal-dialog" role="document">
    		<div class="modal-content">
      			<div class="modal-header">
        			<h5 class="modal-title" id="exampleModalLabel"></h5>
        			<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      			</div>
      			<div class="modal-body">
        			<form>
        				<div class="form-group row">
							<label class="col-sm-4 col-form-label" th:text="'Id'"></label>
							<div class="col-sm-7">
								<input type="text" class="form-control" id="idPersona" readonly/> 
							</div>
						</div>
						
          				<div class="form-group row">
							<label class="col-sm-4 col-form-label" th:text="'Nombre'"></label>
							<div class="col-sm-7">
								<input type="text" class="form-control" id="nombre" readonly/> 
							</div>
						</div>
						
						<div class="form-group row">
							<label class="col-sm-4 col-form-label" th:text="'Primer Apellido'"></label>
							<div class="col-sm-7">
								<input type="text" class="form-control" id="primer_apellido" readonly/> 
							</div>
						</div>
						
						<div class="form-group row">
							<label class="col-sm-4 col-form-label" th:text="'Segundo Apellido'"></label>
							<div class="col-sm-7">
								<input type="text" class="form-control" id="segundo_apellido" readonly/> 
							</div>
						</div>
						
						<div class="form-group row">
							<label class="col-sm-4 col-form-label" th:text="'Telefono'"></label>
							<div class="col-sm-7">
								<input type="text" class="form-control" id="telefono" readonly/> 
							</div>
						</div>
						
						<div class="form-group row">
							<label class="col-sm-4 col-form-label" th:text="'Estatus'"></label>
							<div class="col-sm-7">
								<select id="estatus" class="form-control" disabled>
									<option value=""></option>
									<option th:each="estatus: ${estatusMap.entrySet()}" 
											th:text="${estatus.value}" th:value="${estatus.key}">
								    </option>
								</select> 
							</div>
						</div>
        			</form>
      			</div>
      			<div class="modal-footer">
        			<button type="button" class="btn btn-dark" data-dismiss="modal" th:text="'Volver'"></button>
      			</div>
    		</div>
  		</div>
	</div>

	<script type="text/javascript">
		$('#personaModal').on('show.bs.modal', function (event) {
	  		var button = $(event.relatedTarget)
	  		var id = button.data('id')
	  		var nombre = button.data('nombre')
	  		var primerAp = button.data('primer-ap')
	  		var segundoAp = button.data('segundo-ap')
	  		var telefono = button.data('telefono')
	  		var estatus = button.data('estatus')
	  		var modal = $(this)
	  		
	  		modal.find('.modal-title').text('Datos de la Persona con id: '+id)
	  		modal.find('#idPersona').val(id)
	  		modal.find('#nombre').val(nombre)
	  		modal.find('#primer_apellido').val(primerAp)
	  		modal.find('#segundo_apellido').val(segundoAp)
	  		modal.find('#telefono').val(telefono)
	  		modal.find('#estatus').val(estatus)

		})
	</script>
</body>
</html>